Welcome to Zebra Setup Utilities

Welcome to Zebra Setup Utilities, the one-stop installation and setup software for your Zebra thermal printer. With minimal effort, these utilities will assist you when you install and set up your printers.

More detailed help is available by clicking on the Help button on each screen.


Startup Wizard

When you run the program for the first time, the Startup Wizard runs if you have no Zebra printers installed on your computer. Follow the wizard's instructions to install your Zebra printer.

Once the Startup Wizard starts, carefully read the information on the information screens and follow the wizard's instructions.

Note: If the following screen is displayed during the course of the installation, click on Continue Anyway.

Click here to show or hide the sample screen

In the Printer Driver screen, select the port that your printer will be connected to. If you are not using the USB port, the Printer Installation Wizard will start automatically.

Click here to show or hide the sample screen

Note: If you're going to connect your printer to a USB port, please do not connect the printer or turn it on until the Startup Wizard tells you to do so. Select USB (Universal Serial Bus) and click Next. The Startup Wizard will automatically preload the printer drivers on your PC. At the end of this process, the Startup Wizard will tell you to connect and turn on the printer. If the automatic installation fails, click on Manual Install and install the printer using the Printer Installation Wizard.

If you fail to enter the correct information or perhaps cancel the printer installation, your program will start, but the printer will not be installed. In that case, restart the printer installation by clicking on Install New Printer in the main window of the application.


Printer Installation Wizard

The Printer Installation Wizard will guide you through your first Zebra printer installation. When the wizard starts, you will be prompted to select your printer model.

If you are unsure about your printer model, look at the specification label on the printer, your printer documentation, or contact your local Zebra sales representative.

Click here to show or hide the sample screen

Once you have selected the model, you will be prompted to enter the basic printer options. Select the printer name, the port to which the printer is connected, and whether the printer should be the default Windows printer. If your preferred language is different than the one displayed, select your language as well.

Click here to show or hide the sample screen

If you are installing a printer for the first time, be sure to launch the Zebra Font Downloader Setup Wizard.

Click here to show or hide the sample screen

The Zebra Font Downloader Setup Wizard includes all the usual default installation settings. You may change one of these settings. However, if you're unsure about what the settings are, simply confirm every screen of the wizard to complete the installation.


Main Window

This is the main window of the Zebra Setup Utilities application. It is separated into three key functional areas:

  • Printers – printer selection and installation
  • Printer Configuration – various printer setup and settings menus
  • General Operation – general application functions

Printers

Click here to show or hide the sample screen

This area lists all Zebra printers installed on your system. Selecting a printer in this area enables the settings for the printer in the configuration area below.

The Install New Printer and Uninstall Printer buttons on the right are used to add printers connected to the system to the printer list. Installing a new Zebra printer will open the Printer Installation Wizard.

Printer Configuration

The Printer Configuration area features the basic configuration choices for the selected printer.

Note: The configurations will only affect the selected printer, and a printer must be selected in the Printers area for the configurations to be accessible. Multiple printer selection is not supported.

The configuration options include:

  • Configure Printer Settings - Set page parameters, speed, darkness, and print media
  • Configure Print Quality - Set the speed and darkness with a sample print
  • Configure Printer Connectivity - Configure wired and wireless network settings as well as Bluetooth settings.
  • Download Fonts and Graphics - Launch Zebra Designer Fonts and Graphics Downloader
  • Open Printer Tools - Open a printer tools window
  • Open Communication With Printer - Open a direct communication interface

General Options

The General Options section features basic buttons to access Help, view the About window, or close Zebra Setup Utilities.


Configure Printer Settings

The Printer Settings Wizard allows you to adjust the following basic settings:

  • Page width and height
  • Page orientation
  • Printing speed and darkness
  • Media type, print mode, and media handling

The Media step of the Printer Settings Wizard includes a checkbox, offering you the choice of continuing the wizard with advanced options. These options differ between the two Zebra printer programming languages, ZPL and EPL.

Depending on the programming language of the selected printer, the following advanced settings will be available.

ZPL Printers

The advanced settings include:

  • Media handling and feed settings
  • Real Time Clock settings (Internal printer clock, which can accurately include the print time on printed labels.)
  • Front panel protection (enables the locking of printer panel parameters)

EPL Printers

The advanced settings include:

  • Media handling
  • Code Page settings
  • Real Time Clock settings (Internal printer clock, which can accurately include the print time on printed labels.)

The Printer Settings Wizard allows you to save the printer settings to a file. This settings file is, essentially, a list of printer-native EPL or ZPL commands, which can be sent directly to the printer from a system that does not have Zebra Setup Utilities installed, or sent to the printer through the Direct Communication module.


Configure Print Quality

When configuring print quality, you are faced with two choices:

  • Automatic
  • Manual

Selecting the Automatic setting option prints out a sample batch of between 4 - 36 labels of varying print speed and darkness settings. You choose which setting to use based on the printed samples.

Selecting the Manual setting option allows you to set a numerical value for printing speed and darkness, then print a test label with those settings to verify the results.


Configure Printer Connectivity

The Connectivity Setup Wizard features three main branches of connectivity settings. All three choices focus on collecting connectivity information, then displaying the list of commands that will be sent to the printer based on that information, and finally, giving you the option to either save the commands or send them directly to the printer.

The connectivity types will be shown or hidden depending on the selected printer.

Note: Printer Connectivity is an advanced setting wizard, intended for use by appropriately trained technical staff.

Connectivity Types

It is possible to set connectivity settings for Wired and Wireless printers.

Wired Connectivity Settings

Enter the following wired connectivity settings:

  • Print server type - Internal or external print server
  • IP address - Choose between a DHCP or static address.

Preview the final stream and send the data to the printer or store it in a file.

Wireless Connectivity Settings

Enter the following wireless connectivity settings:

  • IP address - Choose between a DHCP or static address. Enter the address and Client ID information where appropriate.
  • Wireless settings - Enter the ESSID and set your security mode. For some security modes, you will need to enter a username and password.
  • Advanced wireless settings - Set the advanced wireless printer detection and connection settings.

Preview the final stream and send the data to the printer or store it in a file.

Bluetooth Connectivity Settings

  • Bluetooth settings - Enter a friendly name for the printer, and set whether it's discoverable over Bluetooth, as well as authentication.
  • Advanced Settings - Enable or disable Advanced Frequency Hopping, and enter the AFH map, if enabled.

Preview the final stream and send the data to the printer or store it in a file.

ATTENTION: These settings are intended for advanced users. Changing these settings may cause your printer to lose its connection with the network.


Download Fonts and Graphics

This configuration section starts the Zebra Designer Fonts and Graphics Downloader. This is an independent application, and it includes its own instructions and help topics.

For more information, see the Help system for the Zebra Designer Fonts and Graphics Downloader.


Open Printer Tools

Printer Tools allow you to send specific commands directly to the printer. These commands are simply pre-programmed strings of commands that you would be able to enter in the Direct Communication interface. The Printer Tools interface provides a user-friendly tool which allows the sending common commands to the printer, without the need for the printer to provide a reply to the user. The commands are divided into the following two categories:

  • Print – this tab includes commands which trigger printing
  • Action – this tab includes commands which alter a setting in the printer and do not trigger printing

All commands are described in the dialog window as they are selected.


Open Communication With Printer

The Direct Communication module allows you to send commands directly to the printer. The commands can be written in the form of command strings as opposed to individually, and in the ZPL or EPL programming language, depending on the printer model.

It is possible to enter several commands for execution, and this list can be saved for later use with the Save As command.

The commands are entered in the top field and transmitted with the Send to Printer (F5) toolbar command. Once the printer receives the commands, it sends data in reply, and this data appears in the bottom window.


Contact Information

Worldwide Technical Support is available through your Reseller, or at the address http://www.zebra.com/support.

Zebra Technologies Corporation
International Headquarters
333 Corporate Woods Parkway
Vernon Hills, Illinois 60061-3109
USA

Phone: +1 847 913 2259
Fax: +1 847 913 2578


Online Support

You can find the latest builds, updates, and Frequently Asked Questions (FAQ) under the Support section on the Zebra web site. If you cannot solve the problem on your own, please contact your local vendor or the Zebra offices listed in Contact Information.